Subject: bug#27243: another case: dired-auto-revert-buffer jumps point to beginning of buffer

From: martin rudalics <[email-masked]>
Date: Sun, 23 Jul 2017 23:09:50 +0200

> I don't think I'm bothered by quitting.

The different quitting behavior was what made the test case fail so I
mentioned it.

 > I'm bothered by some feature
 > calling find-file that could somehow find the file shown in a window
 > different from the one where the command was invoked.  Are you saying
 > this isn't more likely to happen than with switch-to-buffer itself?

Yes.  Anything else would be an inconsistency we would have to fix.

 > If so, we can indeed modify find-file to use
 > pop-to-buffer-same-window.

Modulo the fact that Stefan always wanted and probably still wants to
get rid of functions like ‘find-file-other-window’ and
‘find-file-other-frame’ and move their functionality to ‘find-file’ and
I still don't know how to do that and probably never will.

martin